﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 3032B: (1 year) VER VISA /9500+1Hd
DATE:                  2017-03-07 09:15:49
AUTHOR:                Fluke
REVISION:              $Revision: 18535 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       175
CONFIGURATION:         Datron 9500 (S6)
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Source(s):
#        TDS3000B Series Digital Phosphor Oscilloscopes
#        Service Manual, 071-0972-04
#
#  Compatibility:
#        MET/CAL 7.3.38 or later
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  9500         500MH                        1Vpp           LS    S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.005  ASK+           K

  1.006  IF           NOT(VERSIONCHECK("7.3.38"))
  1.007  END
  1.008  ENDIF

  1.009  CALL         Sub Display Copyright
  1.010  CALL         Sub High Voltage Safety Warning
  1.011  CALL         Sub Select Failed Test Mode
  1.012  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.013  HEAD         PRELIMINARY INSTRUCTIONS
  1.014  TARGET
  1.015  DISP         Ensure a minimum UUT warm-up time of at least
  1.015  DISP         20 minutes has been allowed to elapse, prior
  1.015  DISP         to beginning verification.

  1.016  CALL         Sub Tek TDS3000B Ethernet Interface Connection

  1.017  VISA         *RST

  1.018  HEAD         UUT IDENTIFICATION
  1.019  CALL         Sub IEEE-488.2 Identification Query VISA

  1.020  MATH         @UUT_Manufacturer = "Tektronix"
  1.021  MATH         @UUT_Model        = "TDS 3032B"
  1.022  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.023  JMPL         END                           @Abort

  1.024  CALL         Sub Tek TDS3000 Check Firmware Version
  1.025  JMPL         END                           @Abort

  1.026  CALL         Sub Datron 9500 Configuration Query IEEE

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    2.   SELF TEST                          SELF TEST
#    3.   DCV GAIN (CH1)                     DCV GAIN (CH1)
#    4.   DCV GAIN (CH2)                     BANDWIDTH (CH1)
#    5.   BANDWIDTH (CH1)                    TRIGGER SENS FULL BW (CH1)
#    6.   BANDWIDTH (CH2)                    TRIGGER SENS 50 MHz (CH1)
#    7.   TRIGGER SENS FULL BW (CH1)         SAMPLE RATE AND DELAY TIME ACC
#    8.   TRIGGER SENS FULL BW (CH2)         DCV GAIN (CH2)
#    9.   TRIGGER SENS 50 MHz (CH1)          BANDWIDTH (CH2)
#   10.   TRIGGER SENS 50 MHz (CH2)          TRIGGER SENS FULL BW (CH2)
#   11.   SAMPLE RATE AND DELAY TIME ACC     TRIGGER SENS 50 MHz (CH2)

  1.027  CALL         Sub Tek TDS3000 Set Bandwidth & Number of Channels
  1.028  CALL         Sub Tek TDS3000 Signal Path Compensation Cal VISA
  1.029  JMPL         END                           @Abort

  1.030  CALL         Sub Tek TDS3000 Self-Test VISA
  1.031  JMPL         END                           @Abort


  1.032  IF           @HeadTypeCh1 == "9560"
  1.033  MATH         Ch1Adapter = " via SMA(f)-BNC(m) adapter"
  1.034  ELSE
  1.035  MATH         Ch1Adapter = ""
  1.036  ENDIF

  1.037  DISP         Connect the 9500 CH1 Active Head to
  1.037  DISP         UUT CH 1[V Ch1Adapter].

  1.038  MATH         @Chan = 1
  1.039  CALL         Sub Tek TDS3000B (1 yr) DCV VISA /9500
  1.040  JMPL         BANDWIDTH_CH1

  1.041  LABEL        DCV_CH2
  1.042  DISP         Connect the 9500 CH1 Active Head to
  1.042  DISP         UUT CH 2[V Ch1Adapter].

  1.043  MATH         @Chan = 2
  1.044  CALL         Sub Tek TDS3000B (1 yr) DCV VISA /9500
  1.045  JMPL         BANDWIDTH_CH2

  1.046  LABEL        BANDWIDTH_CH1
  1.047  MATH         @Chan = 1
  1.048  CALL         Sub Tek TDS3000B (1 yr) Bandwidth VISA /9500/600
  1.049  JMPL         TRIG_FULL_BW_CH1

  1.050  LABEL        BANDWIDTH_CH2
  1.051  MATH         @Chan = 2
  1.052  CALL         Sub Tek TDS3000B (1 yr) Bandwidth VISA /9500/600
  1.053  JMPL         TRIG_FULL_BW_CH2

  1.054  LABEL        TRIG_FULL_BW_CH1
  1.055  MATH         @Chan = 1
  1.056  CALL         Sub Tek TDS3000B (1 yr) Full BW Trig VISA /9500/600
  1.057  JMPL         TRIG_50MH_CH1

  1.058  LABEL        TRIG_FULL_BW_CH2
  1.059  MATH         @Chan = 2
  1.060  CALL         Sub Tek TDS3000B (1 yr) Full BW Trig VISA /9500/600
  1.061  JMPL         TRIG_50MH_CH2

  1.062  LABEL        TRIG_50MH_CH1
  1.063  MATH         @Chan = 1
  1.064  CALL         Sub Tek TDS3000B (1 yr) 50 MHz Trig VISA /9500/600
  1.065  JMPL         SAMPLE_RATE

  1.066  LABEL        TRIG_50MH_CH2
  1.067  MATH         @Chan = 2
  1.068  CALL         Sub Tek TDS3000B (1 yr) 50 MHz Trig VISA /9500/600
  1.069  JMPL         END

  1.070  LABEL        SAMPLE_RATE
  1.071  MATH         @Chan = 1
  1.072  CALL         Sub Tek TDS3000B (1 yr) Sample Rate VISA /9500
  1.073  JMPL         DCV_CH2

  1.074  LABEL        END
  1.075  HEAD         -2

  1.076  IF           @Abort
  1.077  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.078  ELSE
  1.079  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.080  ENDIF

  1.081  END
